sharutils (1:4.15.2-2+dilos1) unstable; urgency=medium

  * Build for DilOS.

 -- Denis Kozadaev <denis@tambov.ru>  Thu, 07 Sep 2017 22:12:11 +0300

sharutils (1:4.15.2-2) unstable; urgency=medium

  * Drop debian/patches/99-config-guess-config-sub, not really needed
    when using dh and a recent enough debhelper.
  * Add "Suggests: sharutils-doc" to sharutils, for those who prefer
    documentation in HTML format.
  * Split override_dh_installdocs into -indep and -arch.
  * Standards-Version: 3.9.8 (no special changes for this).
  * Add the key of Bruce Korb as debian/upstream/signing-key.asc.
  * Add a watch file.

 -- Santiago Vila <sanvila@debian.org>  Sun, 08 Jan 2017 22:53:02 +0100

sharutils (1:4.15.2-1) unstable; urgency=medium

  * New upstream release.

 -- Santiago Vila <sanvila@debian.org>  Mon, 03 Aug 2015 17:31:22 +0200

sharutils (1:4.15.1-1) unstable; urgency=low

  * New upstream release.
  * Fix groff typo in unshare manpage. Closes: #771904.
  * Error message in uudecode has now missing newline. Closes: #771910.

 -- Santiago Vila <sanvila@debian.org>  Fri, 15 May 2015 13:08:14 +0200

sharutils (1:4.14-2) unstable; urgency=medium

  * Multi-Arch: foreign. Closes: #745070.

 -- Santiago Vila <sanvila@debian.org>  Thu, 17 Apr 2014 21:49:32 +0200

sharutils (1:4.14-1) unstable; urgency=low

  * New upstream release.
  * Disabled format checking again. Sorry, I don't see the point in modifying
    code which is perfectly ok "just so that gcc does not complain".
  * Fixed FTBFS on the Hurd. Thanks to Pino Toscano. Closes: #726239.

 -- Santiago Vila <sanvila@debian.org>  Sat, 19 Oct 2013 15:02:20 +0200

sharutils (1:4.13.5-1) unstable; urgency=low

  * New upstream release.
  * Switch from texi2html to makeinfo.
  * Dropped 01-no-usr-share-info-dir-gz. debhelper sets AM_UPDATE_INFO_DIR=no.
  * Dropped 02-fix-for-gnulib-glibc-gets. This was a gnulib issue and it was
    fixed in 2012-03-29 by commit 66712c23388e93e5c518ebc8515140fa0c807348.
  * Updated 03-enable-w-format-security.
  * Updated 99-config-guess-config-sub.

 -- Santiago Vila <sanvila@debian.org>  Sat, 12 Oct 2013 16:52:38 +0200

sharutils (1:4.11.1-2) unstable; urgency=low

  * Added fix for gnulib compilation against eglibc 2.16, which no longer
    declares gets by default. Closes: #694956.
  * Allow compilation with -Werror=format-security. Closes: #700313.

 -- Santiago Vila <sanvila@debian.org>  Sun, 24 Feb 2013 14:05:30 +0100

sharutils (1:4.11.1-1) unstable; urgency=low

  * New upstream release.
  * Updated config.guess and config.sub.
  * Switch to dh to build with hardening flags.

 -- Santiago Vila <sanvila@debian.org>  Sat, 02 Jun 2012 19:24:00 +0200

sharutils (1:4.11-1) unstable; urgency=low

  * New upstream release.
  * Use strip with prefix for cross-build.
  * The info manual does not have empty sections anymore. Closes: #324785.
  * The author has dropped mailshar, mail-files, remsync and compress-dummy.
    Dropped manpages in the Debian package accordingly.

 -- Santiago Vila <sanvila@debian.org>  Fri, 08 Apr 2011 18:12:16 +0200

sharutils (1:4.9-1) unstable; urgency=low

  * New upstream release.

 -- Santiago Vila <sanvila@debian.org>  Sat, 06 Mar 2010 12:54:34 +0100

sharutils (1:4.8-1) unstable; urgency=low

  * New upstream release, now under GPL version 3 or later.
  * Use strip, not "install -s", to make lintian happy.
  * Modified debian/rules to support cross-build.
  * Drop gettext and texinfo from build-depends.
  * Changed "Suggests:" to "bsd-mailx | mailx".
  * Improved uudecode(1). Closes: #411261.
  * Added homepage field to control file.
  * Switch to 3.0 (quilt) source format.
  * Added missing compress-dummy(1).

 -- Santiago Vila <sanvila@debian.org>  Sun, 21 Feb 2010 14:05:14 +0100

sharutils (1:4.6.3-4) unstable; urgency=medium

  * Changed debian/* files again for new texi2html behaviour. Closes: #552938.

 -- Santiago Vila <sanvila@debian.org>  Wed, 04 Nov 2009 12:51:10 +0100

sharutils (1:4.6.3-3) unstable; urgency=low

  * Modified doc/Makefile.in so that it does not use install-info.
    The disabled code was already a source of problems in 2003 when
    Debian "install-info --version" started to show output on stdout.
    The problem is here again because install-info is now GNU install-info
    and the output of "install-info --version" does not contain "debian".
    This change should remove dir.gz from /usr/share/info. Closes: #543958.
  * Changed priority to optional, following the override file.

 -- Santiago Vila <sanvila@debian.org>  Fri, 28 Aug 2009 00:52:16 +0200

sharutils (1:4.6.3-2) unstable; urgency=low

  * Updated copyright file so that it refers to GFDL in common-licenses.
  * Handle info files as indicated by policy 3.8.3.
  * Do not ignore errors from make distclean.
  * Moved doc-base manual to "Text" section.
  * Fixed typos in shar.1. Closes: #525260.
  * Updated config.guess and config.sub.

 -- Santiago Vila <sanvila@debian.org>  Thu, 27 Aug 2009 12:23:00 +0200

sharutils (1:4.6.3-1) unstable; urgency=low

  * New upstream release. Closes: #324061.
  * The counter-intuitive behaviour of uuencode when using the terminal
    is now documented properly. Closes: #49021.
  * Changed "which of the both" to "which of the two". Closes: #414666.
  * Should no longer FTBFS when built twice in a row. Closes: #424254.

 -- Santiago Vila <sanvila@debian.org>  Thu,  7 Jun 2007 18:49:50 +0200

sharutils (1:4.2.1-15) unstable; urgency=medium

  * Fixed mail-files call to the "mail" utility, which was broken in all
    archs except mine due to a missing build-dependency (Closes: #319325).
    Hardcode "mail" as the utility to be used (no need to add build-depends).
  * Added Suggests: mailx (you might want to use uuencode but not mail-files).
  * Removed way obsolete dependency on debianutils.

 -- Santiago Vila <sanvila@debian.org>  Thu, 21 Jul 2005 16:08:44 +0200

sharutils (1:4.2.1-14) unstable; urgency=low

  * Fixed FTBFS bug caused by new texi2html behaviour (Closes: #317858).

 -- Santiago Vila <sanvila@debian.org>  Tue, 12 Jul 2005 16:47:08 +0200

sharutils (1:4.2.1-13) unstable; urgency=medium

  * Fixed insecure temporary file creation in unshar (Closes: #302412).
    Changed also texinfo and shar(1) examples to read /somewhere/foo
    instead of /tmp/foo. Reported by Joey Hess.

 -- Santiago Vila <sanvila@debian.org>  Fri,  1 Apr 2005 19:57:40 +0200

sharutils (1:4.2.1-12) unstable; urgency=medium

  * Fixed several buffer overflows (Closes: #265904, #302097).
    Patch borrowed from Gentoo. This is CAN-2004-1773.
  * Changed doc-base file to UTF-8.

 -- Santiago Vila <sanvila@debian.org>  Wed, 30 Mar 2005 15:19:26 +0200

sharutils (1:4.2.1-11) unstable; urgency=high

  * Fixed buffer overflow in shar. Patch taken from CVS (Closes: #242597).
  * Changed -o to || in prerm of sharutils-doc (Closes: #260089).
  * Removed preinst, dpkg supports epochs since a very long time.

 -- Santiago Vila <sanvila@debian.org>  Wed, 28 Jul 2004 18:43:20 +0200

sharutils (1:4.2.1-10) unstable; urgency=low

  * Standards-Version: 3.5.8.

 -- Santiago Vila <sanvila@debian.org>  Sun, 29 Dec 2002 14:39:38 +0100

sharutils (1:4.2.1-9) unstable; urgency=low

  * Added support for DEB_BUILD_OPTIONS.

 -- Santiago Vila <sanvila@debian.org>  Wed, 21 Nov 2001 16:37:04 +0100

sharutils (1:4.2.1-8) unstable; urgency=medium

  * Do not configure --with-gnu-gettext, use libintl from glibc instead.
    This avoids segfaults under certain locales (Closes: #112227).
    As an added bonus, executables are now smaller.

 -- Santiago Vila <sanvila@debian.org>  Mon, 17 Sep 2001 19:21:25 +0200

sharutils (1:4.2.1-7) unstable; urgency=low

  * Improved an uudecode error message to be less misleading (Closes: #68928).
    Reported by Goswin Brederlow. Patch by Martin Michlmayr.

 -- Santiago Vila <sanvila@debian.org>  Wed,  8 Aug 2001 17:10:38 +0200

sharutils (1:4.2.1-6) unstable; urgency=low

  * Build-Depends-Indep: texi2html, not tetex-bin (Closes: #101803).

 -- Santiago Vila <sanvila@debian.org>  Sun, 24 Jun 2001 13:07:46 +0200

sharutils (1:4.2.1-5) unstable; urgency=low

  * Registered HTML docs using doc-base.

 -- Santiago Vila <sanvila@debian.org>  Sat, 23 Jun 2001 16:23:11 +0200

sharutils (1:4.2.1-4) unstable; urgency=low

  * Install man symlinks for mail-files and remsync, following clarified
    policy about this (Closes: #99565).

 -- Santiago Vila <sanvila@debian.org>  Sat,  9 Jun 2001 18:03:41 +0200

sharutils (1:4.2.1-3) unstable; urgency=low

  * Slightly improved copyright file.
  * Build-Depends: texinfo, gettext.
  * Build-Depends-Indep: tetex-bin.

 -- Santiago Vila <sanvila@debian.org>  Tue,  2 Jan 2001 16:27:19 +0100

sharutils (1:4.2.1-2) unstable; urgency=low

  * Added a manpage for mailshar, remsync and mail-files, it tells the
    user to read the info files or the HTML docs in the sharutils-doc
    package (Closes: #39466).
  * Removed some bogus info entries from the Texinfo source and do not
    use install-info --description option (Closes: #62743).
  * Standards-Version: 3.1.1.

 -- Santiago Vila <sanvila@ctv.es>  Tue,  2 May 2000 17:39:05 +0200

sharutils (1:4.2.1-1) stable unstable; urgency=high

  * New upstream release. Fixes unportable use of `touch' in shar.
    This is needed to complete the Y2K fix in 1:4.2-6, because it
    produces shar files which test for the right `touch' syntax.

 -- Santiago Vila <sanvila@ctv.es>  Thu,  9 Dec 1999 12:29:53 +0100

sharutils (1:4.2-10) unstable; urgency=low

  * Register remsync.info (Bug #37264).

 -- Santiago Vila <sanvila@ctv.es>  Tue, 25 May 1999 11:51:31 +0200

sharutils (1:4.2-9) unstable; urgency=low

  * uudecode now allows spaces in filenames (Bug #28989).
    Thanks to Raj Manandhar for the report and the patch.
  * Moved info unregistering from postrm to prerm.

 -- Santiago Vila <sanvila@ctv.es>  Fri, 12 Mar 1999 13:43:36 +0100

sharutils (1:4.2-8) frozen unstable; urgency=low

  * Moved japanese messages to /usr/share/locale/ja (Bug #25680).
  * Added HTML docs, in a separate package.

 -- Santiago Vila <sanvila@ctv.es>  Mon,  2 Nov 1998 18:48:21 +0100

sharutils (1:4.2-7) unstable; urgency=medium

  * remsync: Fixed a typo:  delete_scan -> command_delete_scan.
  * remsync: chop the trailing newline returned by tempfile.
  * Thanks to Carlo Strozzi who reported these bugs and provided the fix.

 -- Santiago Vila <sanvila@ctv.es>  Tue,  4 Aug 1998 17:22:33 +0200

sharutils (1:4.2-6) frozen unstable; urgency=low

  * shar.c: Uses four digits for the year, to be y2k compliant.
  * Standards-Version: 2.4.1.

 -- Santiago Vila <sanvila@ctv.es>  Mon, 27 Apr 1998 18:24:01 +0200

sharutils (1:4.2-5) frozen unstable; urgency=medium

  * undocumented.7.gz for mailshar, remsync and mail-files.
  * Fixed insecure /tmp/*$$ use in mailshar and remsync.
  * mailshar: use /tmp instead of /usr/tmp.

 -- Santiago Vila <sanvila@ctv.es>  Wed, 25 Mar 1998 18:11:09 +0100

sharutils (1:4.2-4) unstable; urgency=low

  * Added THANKS file to /usr/doc/sharutils directory.
  * ftp.gnu.org is FSF's new FTP site name.
  * Compressed changelog.Debian.
  * Removed debstd dependency.
  * Pristine source.

 -- Santiago Vila <sanvila@ctv.es>  Sun, 15 Mar 1998 13:02:58 +0100

sharutils (1:4.2-3) unstable; urgency=low

  * Hardwired #!/bin/sh for mailshar and mail-files.
  * First libc6 release.

 -- Santiago Vila <sanvila@ctv.es>  Fri, 29 Aug 1997 12:09:55 +0200

sharutils (1:4.2-2) frozen unstable; urgency=low

  * Fixed uudecode man page.

 -- Santiago Vila <sanvila@ctv.es>  Sat, 5 Apr 1997 18:28:28 +0200

sharutils (1:4.2-1) unstable; urgency=low

  * Back to version 4.2. 4.2.1 was a test release and we should not
    distribute it.
  * More detailed copyright.
  * Added MD5 sums.

 -- Santiago Vila <sanvila@ctv.es>  Wed, 26 Feb 1997 19:14:39 +0100

sharutils (4.2.1-1.2) unstable; urgency=medium

  * src/remsync.in: put the title into the subject line (in addition
    to `.remsync*'
  * src/mail-files.in: SLEEP only if no time elapsed since last mail
  * src/mail-files.in: subject prints ... %03d/$maxcount to make the
    files ascii sortable by their subject

 -- Heiko Schlittermann <heiko@lotte.sax.de>  Mon, 7 Oct 1996 23:54:04 +0200

sharutils (4.2.1-1.1) unstable; urgency=medium

  * new packaging format
  * fixed the bug /bin/bash screwed up: the resulting
    shar archive had a missing `fi' near the very last line
  * now mail-files &co are searched (and found) in /usr/bin

 -- Heiko Schlittermann <heiko@lotte.sax.de>  Tue, 24 Sep 1996 22:42:13 +0200

Thu Jun 13 14:38:36 1996  Erick Branderhorst  <branderh@debian.org>

	* maintainer changed
	* remsync info is in included in sharutils info by mainstream
	* debian.rules: No installation of texi sources
	* debian.rules binary-sharutils is now binary
	* added manpages, they seem to have disappeared from mainstream
	* debian.COPYRIGHT >> debian.README; rm debian.COPYRIGHT
	* debian.rules (binary-sharutils): no texinfo.tex supplied
	* debian.rules: more generic
	* gettext internationalization support
	* debian.control: Version, Architecture, Standard
